summaryrefslogtreecommitdiff
path: root/source3/script/tests/t_002.sh
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2005-08-24 03:09:49 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:01:13 -0500
commit024a46c8fa93a1f219930a329cf7548390a61c2a (patch)
tree158f296378641159b9911a180cdb143549ec5e33 /source3/script/tests/t_002.sh
parentcf08e1ce59c9c2562adeaf07b8be581e74f2eadd (diff)
downloadsamba-024a46c8fa93a1f219930a329cf7548390a61c2a.tar.gz
samba-024a46c8fa93a1f219930a329cf7548390a61c2a.tar.bz2
samba-024a46c8fa93a1f219930a329cf7548390a61c2a.zip
r9562: successfully get the samba 3 smbtorture working (as a test case for infrastructre)
(This used to be commit c64f5666b8d1f9fb617b1cf89d6157a0c3fa9da9)
Diffstat (limited to 'source3/script/tests/t_002.sh')
-rw-r--r--source3/script/tests/t_002.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/source3/script/tests/t_002.sh b/source3/script/tests/t_002.sh
new file mode 100644
index 0000000000..48987262a7
--- /dev/null
+++ b/source3/script/tests/t_002.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+. $SCRIPTDIR/functions
+
+cat >$CONFFILE<<EOF
+[global]
+ include = $LIBDIR/common.conf
+
+[test]
+ path = $TMPDIR
+ read only = no
+EOF
+
+##
+## Test code
+##
+
+start_smbd || exit $?
+
+smbtorture //localhost/test -U${USERNAME}%${PASSWORD} FDPASS
+ret=$?
+
+stop_smbd
+
+exit $ret